package org.dromara.system.service;

import org.dromara.system.domain.SiteBag;
import org.dromara.system.domain.vo.SiteBagVo;
import org.dromara.system.domain.bo.SiteBagBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2024-10-31
 */
public interface ISiteBagService {

    /**
     * 查询【请填写功能名称】
     */
    SiteBagVo queryById(Long id);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<SiteBagVo> queryPageList(SiteBagBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<SiteBagVo> queryList(SiteBagBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(SiteBagBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(SiteBagBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
